
package gui;

import javax.swing.event.ChangeListener;
import javax.swing.event.ChangeEvent;
//import javax.swing.event.ChangeAdapter;

import javax.swing.JSpinner;

/**
 * Main class to send GUI changes to the TSP model
 */

public class TSPguiChangeControl implements ChangeListener {

    TSPguiModel model;

    public TSPguiChangeControl(TSPguiModel model) {
        this.model = model;
    }

    public void stateChanged(ChangeEvent event) {
        Object s= event.getSource();
        System.out.println("source = " + s);
        if ( s instanceof JSpinner ) {
           JSpinner source = (JSpinner)s;
           Object i = source.getValue();
           if ( i instanceof Integer ) {
              model.setThreads( ((Integer)i).intValue() );
           }
           return;
        }
        return;
    }

}
