
package algo;

/**
 * TSP Interface
 */

public interface TSPInf {

/**
 * Search the best path for a TSP problem.
 * @param max, maximal number of iterations or Long.MAX_VALUE.
 */

    public Path actualBest();

    public void setBest(Path b);

    public Path getBest();

    public Path getBest(long max);

    public void getBest(Path p);

    public long getIterations();

    public long getMaxIterations();

    public long setMaxIterations(long m);

}
