
package gui;

//import java.awt.event.KeyListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyAdapter;

import javax.swing.JFrame;

/**
 * Main class to send GUI key events to the TSP model
 */

public class TSPguiKeyControl extends KeyAdapter /*implements KeyListener*/ {

    TSPguiModel model;

    public TSPguiKeyControl(TSPguiModel model) {
        this.model = model;
    }

    public void keyPressed(KeyEvent event) {
        JFrame source = (JFrame)event.getSource();
        //System.out.println("source = " + source);
        if ( event.getKeyCode() == KeyEvent.VK_ESCAPE
          || event.getKeyCode() == KeyEvent.VK_F4
          || event.getKeyCode() == KeyEvent.VK_END
          || event.getKeyCode() == KeyEvent.VK_Q ) {
            if ( ! model.isDone() ) {
                if ( ! TSPguiMain.doExitDialog() ) {
                    return;
                 }
            }
            model.setDone(); 
        }
    }

    /*
    public void keyReleased(KeyEvent event) {
    }

    public void keyTyped(KeyEvent event) {
    }
    */
}
